Subject: Trying to build ssh
From: [email-masked] (Jeff Epler)

5 Jan 1997 11:22:12 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

Hi.  Facing using Windows NT every day at work, I decided to give
GNU-WIN32 a try.  I'm rather impressed by all that does manage to work
on here, and it looks to only get better.

I'm trying to build ssh-1.2.17 on GNU-WIN32 17.1, and have made some
amount of progress.

My main problem is that ssh makes use of getpwuid() often, and this
seems to just return NULL -- There's no  /etc/passwd file, I guess.
Should I hack around each of these individually, or what?  Just creating
an /etc/passwd file with a bogus entry for user 500 doesn't seem to
work.

I'll enclose below a summary of what I've done so far.  ssh compiles and
links, but doesn't work properly, for reasons related to getpwuid() not
working properly. (A null pointer dereference when pw->pw_dir is not set
in getpwuid(), it looks like)

One other note:  I've had a bit of weirdness with bash's completion.  I
have C: mounted on /, D: mounted on /src.  If I am in / and type
 cd /src/s<tab>
it doesn't give a completion.

If I type
 cd /src
 cd s<tab>
it gives me the completion
 cd ssh-1.2.17/

Jeff
PS I'll third the complaint that using ^C on programs makes bash
unhappy, this is really an annoyance
-- 
\/ Jeff Epler jepler@{inetnebr.com|cse.unl.edu|herbie.unl.edu|nyx.cs.du.edu}

What I did to get ssh 1.2.17 "working" on gnu-win32 17.1

.. includes.h, remove inclide of un.h and add bogus sockaddr_un
declaration, just like sco
 
.. manually declare HAVE_SOCKETPAIR, remove socketpair.c
.. manually undeclare HAVE_GETRUSAGE, since struct rusage is different

.. ifdef for SIGCONT in signals.c
.. had to touch gmp-2.0.2-ssh-2/configure for some reason
.. had to remove 'demos' from its Makefile, was getting some sort of loop

.. fudge around password stuff (should I make /etc/password instead?)

.. packet.c, IPTOS_LOWDELAY not implemented

.. tildexpand.c hack in home directory, again /etc/password problem

.. sshconnect.c, /etc/password problem
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".